tigase.io

## Class TLSWrapper

- java.lang.Object
- - tigase.io.TLSWrapper

-     public class TLSWrapper
      extends Object

  Describe class TLSWrapper here. Created: Sat Mar 5 09:13:29 2005
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLSWrapper(SSLContext sslc, TLSEventHandler eventHandler, String hostname, int port, boolean clientMode, boolean wantClientAuth)`
    `TLSWrapper(SSLContext sslc, TLSEventHandler eventHandler, String hostname, int port, boolean clientMode, boolean wantClientAuth, boolean needClientAuth)` Creates a new `TLSWrapper` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `bytesConsumed()` Method description
    `void` | `close()` Method description
    `int` | `getAppBuffSize()` Method description
    `CertCheckResult` | `getCertificateStatus(boolean revocationEnabled)` Method description
    `int` | `getNetBuffSize()` Method description
    `int` | `getPacketBuffSize()` Method description
    `TLSStatus` | `getStatus()` Method description
    `SSLEngine` | `getTlsEngine()`
    `byte[]` | `getTlsUniqueBindingData()`
    `boolean` | `isClientMode()` Method description
    `void` | `setDebugId(String id)` Method description
    `ByteBuffer` | `unwrap(ByteBuffer net, ByteBuffer app)` Method description
    `void` | `wrap(ByteBuffer app, ByteBuffer net)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSWrapper

          public TLSWrapper(SSLContext sslc,
                            TLSEventHandler eventHandler,
                            String hostname,
                            int port,
                            boolean clientMode,
                            boolean wantClientAuth)

    - #### TLSWrapper

          public TLSWrapper(SSLContext sslc,
                            TLSEventHandler eventHandler,
                            String hostname,
                            int port,
                            boolean clientMode,
                            boolean wantClientAuth,
                            boolean needClientAuth)

      Creates a new `TLSWrapper` instance.
      Parameters:
        `sslc` -
        `eventHandler` -
        `hostname` -
        `port` -
        `clientMode` -
        `wantClientAuth` -

  - ### Method Detail

    - #### bytesConsumed

          public int bytesConsumed()

      Method description

    - #### getTlsUniqueBindingData

          public byte[] getTlsUniqueBindingData()

    - #### close

          public void close()
                     throws SSLException

      Method description
      Throws:
        `SSLException`

    - #### getAppBuffSize

          public int getAppBuffSize()

      Method description

    - #### getCertificateStatus

          public CertCheckResult getCertificateStatus(boolean revocationEnabled)

      Method description
      Parameters:
        `revocationEnabled` -

    - #### getNetBuffSize

          public int getNetBuffSize()

      Method description

    - #### getPacketBuffSize

          public int getPacketBuffSize()

      Method description

    - #### getStatus

          public TLSStatus getStatus()

      Method description

    - #### isClientMode

          public boolean isClientMode()

      Method description

    - #### setDebugId

          public void setDebugId(String id)

      Method description
      Parameters:
        `id` -

    - #### unwrap

          public ByteBuffer unwrap(ByteBuffer net,
                                   ByteBuffer app)
                            throws SSLException

      Method description
      Parameters:
        `net` -
        `app` -
      Throws:
        `SSLException`

    - #### wrap

          public void wrap(ByteBuffer app,
                           ByteBuffer net)
                    throws SSLException

      Method description
      Parameters:
        `app` -
        `net` -
      Throws:
        `SSLException`

    - #### getTlsEngine

          public SSLEngine getTlsEngine()

Copyright © 2022 "Tigase, Inc.". All rights reserved.